package jp.arcanum.myaddress.pages;

import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.markup.html.form.Form;
import org.apache.wicket.markup.html.panel.FeedbackPanel;

public class AbstractPage extends WebPage{

	/**
	 * ページ間の引数（アドレスＩＤ）
	 */
	public static final String ADDRID = "ADDRID";
	
	
	/**
	 * 画面の<form>
	 */
	protected Form _form = new Form("form");
	
	/**
	 * コンストラクタ
	 *
	 */
	public AbstractPage(){
		
		// フォーム
		add(_form);
		
		//　エラーメッセージ
		_form.add(new FeedbackPanel("FEEDBACK"));
		
	}
	
}
